Program CStrPar3;

{$x+}

type
  TString = String (42);

function NewCString (const S : String): CString; AsmName '_p_newcstring';

function GetTempFileName = Result : TString;
begin
  Result := 'OK'
end;

function GetTempFileName_CString : CString;
begin
  GetTempFileName_CString := NewCString (GetTempFileName)
end;

begin
  writeln (GetTempFileName_CString)
end.
